void SimpleFarm1for1 (eSkel_atom_t *worker (eSkel_atom_t *),
           void *in,  int inlen, int inmul, spread_t inspr, MPI_Datatype inty, 
           void *out, int outlen, int *outmul, spread_t outspr, MPI_Datatype outty, 
           int outbuffsz, MPI_Comm comm)
/* SimpleFarm1for1 is implemented as a wrapper around the more general SimpleFarm1for1v. */
{
  int *inlens;
  int *outlens;
  int i;

  inlens = (int *) malloc (sizeof(int)*inmul);
  for (i=0; i<inmul; i++) {
    inlens[i] = inlen;
  }
  if (outlen && (outbuffsz/outlen > 1)) {
    outlens = (int *) malloc (sizeof(int)* outbuffsz/outlen);
  } else {
    outlens = (int *) malloc (sizeof(int)* 2);
  }
  outlens[0] = outbuffsz;
  outlens[1] = outlen ? outbuffsz/outlen : 0;
  SimpleFarm1for1v (worker, in, inlens, inmul, inspr, inty, out, outlens, outmul, outspr, outty, comm);
}

